Bug 263618 - sysutils/moreutils should depend on devel/p5-IPC-Run
Summary: sysutils/moreutils should depend on devel/p5-IPC-Run
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-27 23:32 UTC by Greg Fitzgerald
Modified: 2022-07-04 15:58 UTC (History)
4 users (show)

See Also:
fernape: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2022-04-27 23:32:49 UTC
sysutils/moreutils should depend on devel/p5-IPC-Run for the chronic command. It errors out, saying it may require that package on a fresh install. Installing it resolves the issue. Sorry, Don't have the ability to write a patch for it right now.
Comment 1 Fernando Apesteguía freebsd_committer 2022-06-28 05:47:53 UTC
The dependency is in the Makefile but commented out.

Requesting maintainer feedback.
Comment 2 Ronald Klop 2022-07-04 09:22:56 UTC
Me too.

Can't locate IPC/Run.pm in @INC (you may need to install the IPC::Run module) (@INC contains: /usr/local/lib/perl5/site_perl/mach/5.32 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32) at /usr/local/bin/chronic line 57.
BEGIN failed--compilation aborted at /usr/local/bin/chronic line 57.

# uname -a
FreeBSD rpi3 13.1-RELEASE FreeBSD 13.1-RELEASE releng/13.1-n250148-fc952ac2212 GENERIC arm64